From 08bd133c6f783028cc2a9e3919f34859e8f679be Mon Sep 17 00:00:00 2001
From: Kedar Sovani <kedars@marvell.com>
Date: Fri, 6 Feb 2009 17:53:25 +0530
Subject: [PATCH] xorg-x11-server: Include ARM support.

Signed-off-by: Kedar Sovani <kedars@marvell.com>
---
 xorg-x11-server.spec |   12 ++++++++++--
 1 files changed, 10 insertions(+), 2 deletions(-)

diff --git a/xorg-x11-server.spec b/xorg-x11-server.spec
index e45859a..b9b0adb 100644
--- a/xorg-x11-server.spec
+++ b/xorg-x11-server.spec
@@ -19,7 +19,7 @@
 Summary:   X.Org X11 X server
 Name:      xorg-x11-server
 Version:   1.6.1.901
-Release:   1%{?dist}
+Release:   1%{?dist}.fa1
 URL:       http://www.x.org
 License:   MIT
 Group:     User Interface/X
@@ -116,12 +116,16 @@ Patch6042: xserver-1.6.1-proc-cmdline.patch
 %define drimoduledir	%{_libdir}/dri
 %define sdkdir		%{_includedir}/xorg
 
-%ifarch s390 s390x
+%ifarch s390 s390x %{arm}
 %define with_hw_servers 0
 %else
 %define with_hw_servers 1
 %endif
 
+%ifarch %{arm}
+%define dri_opts  --disable-glx --disable-aiglx
+%endif
+
 %if %{with_hw_servers}
 %define enable_xorg --enable-xorg
 %else
@@ -363,6 +367,7 @@ export CFLAGS="${RPM_OPT_FLAGS} -Wstrict-overflow -rdynamic $CFLAGS"
 	--enable-install-libxf86config \
 	--enable-xselinux --enable-record \
 	%{dri_flags} \
+	%{dri_opts} \
 	${CONFIGURE}
 
 make %{?_smp_mflags}
@@ -528,6 +533,9 @@ rm -rf $RPM_BUILD_ROOT
 
 
 %changelog
+* Mon Jun 22 2009 Jitesh Shah <jiteshs@marvell.com> - 1.6.1.901-1.fa1
+- ARM support patch
+
 * Mon May 18 2009 Adam Jackson <ajax@redhat.com> 1.6.1.901-1
 - Rebase to 1.6.2 pre-release
 - xserver-1.6.1-hush-warning.patch: Silence the prerelease warning spew.
-- 
1.5.5.6

